<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml11/strict">
<xsl:output method="html"/>

    <xsl:template match="/">
<html>
<head>
</head>
<body>
Class:<xsl:apply-templates select="class"/>
<br/>
<br/>
	<xsl:apply-templates select="class/superClasses"/>
<br/>
<br/>
	<xsl:apply-templates select="class/superInterfaces"/>
<br/>
<br/>
	<xsl:apply-templates select="class/fields"/>
<br/>
<br/>
	<xsl:apply-templates select="class/constructors"/>
<br/>
<br/>
	<xsl:apply-templates select="class/methods"/>
<br/>
<br/>
</body>
</html>
    </xsl:template>

<xsl:variable name="classe" select="/class/name"/>

<xsl:template match="packageName">
Package Name: <xsl:value-of select="."/><br/>
</xsl:template>

<xsl:template match="class">
<xsl:value-of select="name"/><br/>
</xsl:template>

<xsl:template match="class/superClasses">

Super classes:<br/>
<xsl:apply-templates select="class"/>
</xsl:template>

<xsl:template match="class/fields">

Fields:<br/>
<xsl:apply-templates select="field"/>
</xsl:template>

<xsl:template match="field">
<xsl:value-of select="type"/><xsl:text> </xsl:text><xsl:value-of select="name"/><br/>
</xsl:template>


<xsl:template match="constructor">
<li><xsl:value-of select="$classe"/>(<xsl:apply-templates select="params"/>)<br/>
<xsl:apply-templates select="body"/></li>
</xsl:template>

<xsl:template match="body">
<xsl:apply-templates select="modifiedFields"/>

<xsl:apply-templates select="obtainedFields"/>

<xsl:apply-templates select="obtainedStaticFields"/>

<xsl:apply-templates select="modifiedStaticFields"/>

<xsl:apply-templates select="virtualMethods"/>

<xsl:apply-templates select="specialMethods"/>

<xsl:apply-templates select="staticMethods"/>

<xsl:apply-templates select="interfaceMethods"/>

<xsl:apply-templates select="localVariables"/>

</xsl:template>

<xsl:template match="modifiedFields">
	Modified instance fields:<br/>
<xsl:apply-templates select="bodyVariable"/>
</xsl:template>

<xsl:template match="obtainedFields">
	Obtained instance fields:<br/>
<xsl:apply-templates select="bodyVariable"/>
</xsl:template>

<xsl:template match="localVariables">
	Local Variables:<br/>
<xsl:apply-templates select="localVariables"/>
</xsl:template>

<xsl:template match="staticModifiedFields">
	Static modified  fields:<br/>
<xsl:apply-templates select="bodyVariable"/>
</xsl:template>

<xsl:template match="staticObtainedFields">
	Static obtained fields:<br/>
<xsl:apply-templates select="bodyVariable"/>
</xsl:template>

<xsl:template match="virtualMethods">
	Instance Method calls:<br/>
<xsl:apply-templates select="bodyMethod"/>
</xsl:template>

<xsl:template match="specialMethods">
	Constructors calls:<br/>
<xsl:apply-templates select="bodyConstructor"/>
</xsl:template>

<xsl:template match="interfaceMethods">
	Interface Method calls:<br/>
<xsl:apply-templates select="bodyMethod"/>
</xsl:template>

<xsl:template match="staticMethods">
	Static Method calls:<br/>
<xsl:apply-templates select="bodyMethod"/>
</xsl:template>

<xsl:template match="bodyMethod"><xsl:value-of select="returnType"/><xsl:text> </xsl:text><xsl:value-of select="declaringClass"/><xsl:text>.</xsl:text><xsl:value-of select="name"/>(<xsl:apply-templates select="params"/>)<br/>
</xsl:template>  

<xsl:template match="bodyConstructor">
<xsl:text>	</xsl:text><xsl:value-of select="declaringClass"/>(<xsl:apply-templates select="params"/>)<br/>
</xsl:template>  

<xsl:template match="bodyVariable">
<xsl:text>	</xsl:text><xsl:value-of select="type"/><xsl:text> </xsl:text><xsl:value-of select="name"/><xsl:text>
</xsl:text>
</xsl:template>  

<xsl:template match="method">
<li><xsl:value-of select="returnType"/><xsl:text> </xsl:text><xsl:value-of select="name"/>(<xsl:apply-templates select="params"/>)<xsl:apply-templates select="thrownExceptions"/><br/><xsl:apply-templates select="body"/><br/><br/></li></xsl:template>

<xsl:template match="params">
<xsl:apply-templates select="param"/>
</xsl:template>

<xsl:template match="thrownExceptions">
<xsl:text> throws </xsl:text> <xsl:apply-templates select="exception"/>
</xsl:template>

<xsl:template match="param">
<xsl:value-of select="type"/><xsl:text> </xsl:text>
</xsl:template>

<xsl:template match="exception">
<xsl:value-of select="type"/><xsl:text> </xsl:text>
</xsl:template>

<xsl:template match="class/superInterfaces">

Super interfaces:<xsl:apply-templates select="class"/>
</xsl:template>

<xsl:template match="class/constructors">
Constructors:<br/>
<xsl:apply-templates select="constructor"/>
</xsl:template>

<xsl:template match="class/methods">

Methods:
<br/>
<xsl:apply-templates select="method"/>
</xsl:template>

</xsl:stylesheet>
